"use strict";
const common_vendor = require("./common/vendor.js");
const sheep_api_promotion_article = require("./sheep/api/promotion/article.js");
if (!Array) {
  const _easycom_mp_html2 = common_vendor.resolveComponent("mp-html");
  const _easycom_s_layout2 = common_vendor.resolveComponent("s-layout");
  (_easycom_mp_html2 + _easycom_s_layout2)();
}
const _easycom_mp_html = () => "./uni_modules/mp-html/components/mp-html/mp-html.js";
const _easycom_s_layout = () => "./sheep/components/s-layout/s-layout.js";
if (!Math) {
  (_easycom_mp_html + _easycom_s_layout)();
}
const _sfc_main = {
  __name: "richtext",
  props: {
    title: {
      defautls: "",
      type: String
    },
    type: {
      defautls: "",
      type: String
    }
  },
  setup(__props) {
    const state = common_vendor.reactive({
      title: "",
      content: ""
    });
    async function getRichTextContent(id, title) {
      const { code, data } = await sheep_api_promotion_article.ArticleApi.getArticle(id, title);
      if (code !== 0) {
        return;
      }
      state.content = data.content;
      if (state.title !== data.title) {
        state.title = data.title;
        common_vendor.index.setNavigationBarTitle({
          title: state.title
        });
      }
    }
    const props = __props;
    common_vendor.onLoad((options) => {
      if (options.title || props.title) {
        state.title = options.title || props.title;
        common_vendor.index.setNavigationBarTitle({
          title: state.title || props.title
        });
      }
      getRichTextContent(options.id, options.title || props.title);
    });
    return (_ctx, _cache) => {
      return common_vendor.e({
        a: state.title && !__props.type
      }, state.title && !__props.type ? {
        b: common_vendor.p({
          content: state.content
        }),
        c: common_vendor.p({
          title: state.title,
          bgStyle: {
            color: "#FFF"
          }
        })
      } : {
        d: common_vendor.p({
          content: state.content
        })
      });
    };
  }
};
const MiniProgramPage = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["__scopeId", "data-v-bc551482"], ["__file", "D:/zx/mall-front-app/pages/public/richtext.vue"]]);
exports.MiniProgramPage = MiniProgramPage;
