"use strict";
const sheep_request_index = require("../../request/index.js");
const ShareApi = {
  // 查询商品linkId
  getLinkId: (category, objectId) => {
    return sheep_request_index.request({
      url: "/distri/share-link/getShareLink",
      method: "GET",
      params: { category, objectId },
      custom: {
        showLoading: false,
        showError: false
      }
    });
  },
  // 根据linkId查id
  getObjectIdByLinkId: (linkId) => {
    return sheep_request_index.request({
      url: "/distri/share-link/getObjectIdByLinkId",
      method: "GET",
      params: { linkId },
      custom: {
        showLoading: false,
        showError: false
      }
    });
  }
};
const __vite_glob_0_1 = /* @__PURE__ */ Object.freeze(/* @__PURE__ */ Object.defineProperty({
  __proto__: null,
  default: ShareApi
}, Symbol.toStringTag, { value: "Module" }));
exports.ShareApi = ShareApi;
exports.__vite_glob_0_1 = __vite_glob_0_1;
