"use strict";
const sheep_request_index = require("../../request/index.js");
const CommentApi = {
  // 获得商品评价分页
  getCommentPage: (spuId, pageNo, pageSize, type) => {
    return sheep_request_index.request({
      url: "/product/comment/page",
      method: "GET",
      params: {
        spuId,
        pageNo,
        pageSize,
        type
      },
      custom: {
        showLoading: false,
        showError: false
      }
    });
  }
};
const __vite_glob_0_18 = /* @__PURE__ */ Object.freeze(/* @__PURE__ */ Object.defineProperty({
  __proto__: null,
  default: CommentApi
}, Symbol.toStringTag, { value: "Module" }));
exports.CommentApi = CommentApi;
exports.__vite_glob_0_18 = __vite_glob_0_18;
